## latex-make 2.1.9

=== Makefile ===

ifeq ($(filter else-if,$(.FEATURES)),)
$(error GNU Make 3.81 or latter needed. Please, update your software.)
	exit 1
endif

prefix=/usr/local

texmf_prefix=$(prefix)/share/texmf

PKGNAME=latex-make

BINDIR=$(DESTDIR)$(prefix)/bin
INCLUDEDIR=$(DESTDIR)$(prefix)/include

LATEXDIR=$(DESTDIR)$(texmf_prefix)/tex/latex/$(PKGNAME)
LATEXCFGDIR=$(DESTDIR)$(texmf_prefix)/tex/latex/$(PKGNAME)
DOCDIR=$(DESTDIR)$(texmf_prefix)/doc/latex/$(PKGNAME)

BINFILES=src/figdepth src/gensubfig src/latexfilter
STYFILES=$(wildcard src/*.sty)
CFGFILES=$(wildcard src/*.cfg)
DOCFILES=$(wildcard src/*.pdf)

.PHONY: all install clean distclean dist

all:
	$(MAKE) -C src doc

install: all
	install -d $(BINDIR)
	install -m 755 $(BINFILES) $(BINDIR)
	install -d $(LATEXDIR)
	install -m 644 $(STYFILES) $(LATEXDIR)
	install -d $(LATEXCFGDIR)
	install -m 644 $(CFGFILES) $(LATEXCFGDIR)
	install -d $(INCLUDEDIR)
	install -m 644 src/LaTeX.mk $(INCLUDEDIR)
	install -d $(DOCDIR)
	install -m 644 $(DOCFILES) $(DOCDIR)

clean distclean:
	-$(MAKE) -C examples $@
	-$(MAKE) -C MacOSX $@
	$(MAKE) -C src $@

VERSION=$(shell cat VERSION)

dist:
	if [ "$$(svn st)" != "" ] ;then svn st ; exit 1 ; fi
	svn export . $(PKGNAME)-$(VERSION)
	tar cvzf $(PKGNAME)-$(VERSION).tar.gz $(PKGNAME)-$(VERSION)
	rm -rf $(PKGNAME)-$(VERSION)

=== MacOSX/Makefile ===

include Makefile.config

PACKAGES=latex-make.pkg uninstall-latex-make.pkg

DISK=LaTeX-Make-rw.dmg
FINALDISK=LaTeX-Make-$(VERSION).dmg
VOLUME=LaTeX Make

SUBDIRS=$(basename $(PACKAGES))

all: $(FINALDISK)

.PHONY: distclean clean all
.PHONY: $(addsuffix -distclean,$(SUBDIRS)) $(addsuffix -clean,$(SUBDIRS))

$(addsuffix -distclean,$(SUBDIRS)): %-distclean:
	$(MAKE) -C $* distclean

$(addsuffix -clean,$(SUBDIRS)): %-clean:
	$(MAKE) -C $* clean

distclean:: clean $(addsuffix -distclean,$(SUBDIRS))

distclean::
	$(RM) -r $(FINALDISK)

clean:: $(addsuffix -clean,$(SUBDIRS))

clean::
	$(RM) $(DISK) $(PACKAGES)

$(PACKAGES): %.pkg:
	$(MAKE) -C $* $@
	ln -s $*/$@ $@

$(DISK): $(PACKAGES)
	-$(RM) $@
	hdiutil create -size 5m -fs HFS+ -volname "$(VOLUME)" $@
	hdiutil attach $@
	DEST=$$(hdiutil attach $@ | sed -e '/Apple_HFS/s/.*Apple_HFS[[:space:]]*//p;d') ; \
	cp ../COPYING "$$DEST" && \
	cp -r $(PACKAGES) "$$DEST"
	DEV=$$(hdiutil attach $@ | sed -e '1s/[[:space:]].*//p;d') ; \
	hdiutil detach $$DEV

$(FINALDISK): $(DISK)
	-$(RM) $@
	hdiutil convert $< -format UDZO -o $@
	cp $@ ..

=== src/Makefile ===

all: install

SCRIPTS=figdepth gensubfig latexfilter

GENFILES= figlatex.sty figlatex.cfg texgraphicx.sty \
		pdfswitch.sty texdepends.sty \
		LaTeX.mk LaTeX.mk.conf $(SCRIPTS)


install: $(GENFILES)

.INTERMEDIATE: $(SCRIPTS:%=%.prog)

$(SCRIPTS:%=%.prog) $(filter-out $(SCRIPTS),$(GENFILES)): stamp.latex-make

stamp.latex-make: latex-make.ins $(wildcard *.dtx)
	latex latex-make.ins
	touch $@

$(SCRIPTS): %: %.prog
	cp $^ $@
	chmod +x $@

distclean::
	$(RM) $(GENFILES) $(SCRIPTS:%=%.prog) stamp.latex-make

clean::
	$(RM) latex-make.log

doc: pdf

LU_MASTERS=figlatex texdepends latex-make  #pdfswitch texdepends

DEPENDS=LaTeX.mk $(SCRIPTS)
latex-make_MAIN=latex-make.dtx
figlatex_MAIN=figlatex.dtx
texdepends_MAIN=texdepends.dtx

#LATEX=latex -v

# Force using local LaTeX.mk and not system-wide LaTeX.mk if already installed
# Depends on $(GENFILES) so that $(_lu_which) give good results
$(CURDIR)/LaTeX.mk: $(GENFILES)
	cp --help > /dev/null 2>&1 || \
		sed -i "" -e '/LU_UTILS/s/GNU/BSD/' $@

-include $(CURDIR)/LaTeX.mk

=== MacOSX/latex-make/Makefile ===

all: package

include ../package.mk

package: $(PACKAGE_NAME).pkg

$(PACKAGE_NAME).pkg: Info.plist Description.plist \
	Install_resources/License.txt Install_resources/License.txt \
	Package_contents

Package_contents:
	$(RM) -r $@
	$(MAKE) -C ../.. install DESTDIR=$(CURDIR)/$@ \
		texmf_prefix='/usr/local/teTeX/share/texmf.local' \
		prefix='/usr'

Install_resources/License.txt: ../../COPYING
	cp $< $@

Install_resources/Welcome.txt: plist/Welcome.txt.start ../../INSTALL
	cat plist/Welcome.txt.start > $@
	sed -e '/REQUIREMENTS/,$$p;d' < ../../INSTALL >> $@

.PHONY: distclean clean all package

clean::
	$(RM) -r Package_contents Info.plist \
		Description.plist \
		Install_resources/License.txt \
		Install_resources/Welcome.txt

## latex-make 2.1.11

=== Makefile ===

ifeq ($(filter else-if,$(.FEATURES)),)
$(error GNU Make 3.81 or latter needed. Please, update your software.)
	exit 1
endif

prefix=/usr/local

texmf_prefix=$(prefix)/share/texmf

PKGNAME=latex-make

INCLUDEDIR=$(prefix)/include

LATEXDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
LATEXCFGDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
DOCDIR=$(texmf_prefix)/doc/latex/$(PKGNAME)
SCRIPTSDIR=$(texmf_prefix)/scripts/$(PKGNAME)

SCRIPTS=src/figdepth.pl src/gensubfig.sh src/latexfilter.pl
INCFILES=src/LaTeX.mk
STYFILES=$(wildcard src/*.sty)
CFGFILES=$(wildcard src/*.cfg)
DOCFILES=$(wildcard src/*.pdf)

.PHONY: all install clean distclean dist

all:
	$(MAKE) -C src doc

install: all
	install -d $(DESTDIR)$(LATEXDIR)
	install -m 644 $(STYFILES) $(DESTDIR)$(LATEXDIR)
	install -d $(DESTDIR)$(LATEXCFGDIR)
	install -m 644 $(CFGFILES) $(DESTDIR)$(LATEXCFGDIR)
	install -d $(DESTDIR)$(SCRIPTSDIR)
	install -m 755 $(SCRIPTS) $(DESTDIR)$(SCRIPTSDIR)
	install -m 644 $(INCFILES) $(DESTDIR)$(SCRIPTSDIR)
	install -d $(DESTDIR)$(INCLUDEDIR)
	ln -sf $(SCRIPTSDIR)/LaTeX.mk $(DESTDIR)$(INCLUDEDIR)/
	install -d $(DESTDIR)$(DOCDIR)
	install -m 644 $(DOCFILES) $(DESTDIR)$(DOCDIR)

clean distclean:
	-$(MAKE) -C examples $@
	-$(MAKE) -C MacOSX $@
	$(MAKE) -C src $@

VERSION=$(shell cat VERSION)

dist:
	if [ "$$(svn st)" != "" ] ;then svn st ; exit 1 ; fi
	svn export . $(PKGNAME)-$(VERSION)
	tar cvzf $(PKGNAME)-$(VERSION).tar.gz $(PKGNAME)-$(VERSION)
	rm -rf $(PKGNAME)-$(VERSION)

=== src/Makefile ===
--- 
+++ 
@@ -1,29 +1,25 @@
 
 all: install
 
-SCRIPTS=figdepth gensubfig latexfilter
+SCRIPTS=figdepth.pl gensubfig.sh latexfilter.pl
 
 GENFILES= figlatex.sty figlatex.cfg texgraphicx.sty \
 		pdfswitch.sty texdepends.sty \
 		LaTeX.mk LaTeX.mk.conf $(SCRIPTS)
 
+DTX_SOURCES=$(wildcard *.dtx)
 
 install: $(GENFILES)
 
-.INTERMEDIATE: $(SCRIPTS:%=%.prog)
+$(GENFILES): stamp.latex-make
 
-$(SCRIPTS:%=%.prog) $(filter-out $(SCRIPTS),$(GENFILES)): stamp.latex-make
-
-stamp.latex-make: latex-make.ins $(wildcard *.dtx)
+stamp.latex-make: latex-make.ins $(DTX_SOURCES)
 	latex latex-make.ins
+	chmod +x $(SCRIPTS)
 	touch $@
 
-$(SCRIPTS): %: %.prog
-	cp $^ $@
-	chmod +x $@
-
 distclean::
-	$(RM) $(GENFILES) $(SCRIPTS:%=%.prog) stamp.latex-make
+	$(RM) $(GENFILES) stamp.latex-make
 
 clean::
 	$(RM) latex-make.log

=== MacOSX/latex-make/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 $(PACKAGE_NAME).pkg: Info.plist Description.plist \
 	Install_resources/License.txt Install_resources/License.txt \
-	Package_contents
+	Install_resources/Welcome.txt Package_contents
 
 Package_contents:
 	$(RM) -r $@

## latex-make 2.1.13

=== Makefile ===
ifeq ($(filter else-if,$(.FEATURES)),)
$(error GNU Make 3.81 or latter needed. Please, update your software.)
	exit 1
endif

.PHONY: all install clean distclean dist ctan

PKGNAME=latex-make

all:
	$(MAKE) -C src doc

install: all
	$(MAKE) -C src $@

clean distclean:
	-$(MAKE) -C examples $@
	-$(MAKE) -C MacOSX $@
	-$(MAKE) -C ctan $@
	$(MAKE) -C src $@

VERSION=$(shell cat VERSION)

dist:
	if [ "$$(svn st)" != "" ] ;then svn st ; exit 1 ; fi
	svn export . $(PKGNAME)-$(VERSION)
	tar cvzf $(PKGNAME)-$(VERSION).tar.gz $(PKGNAME)-$(VERSION)
	rm -rf $(PKGNAME)-$(VERSION)
	$(MAKE) ctan

ctan:
	$(MAKE) -C ctan

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,36 @@
 
-all: install
+####[ Check Software ]################################################
+ifeq ($(filter else-if,$(.FEATURES)),)
+$(error GNU Make 3.81 needed. Please, update your software.)
+	exit 1
+endif
+
+####[ Default installation ]##########################################
+prefix=/usr/local
+
+texmf_prefix=$(prefix)/share/texmf
+
+PKGNAME=latex-make
+
+INCLUDEDIR=$(prefix)/include
+
+LATEXDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
+LATEXCFGDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
+DOCDIR=$(texmf_prefix)/doc/latex/$(PKGNAME)
+SCRIPTSDIR=$(texmf_prefix)/scripts/$(PKGNAME)
+
+SCRIPTS=figdepth.pl gensubfig.sh latexfilter.pl
+INCFILES=LaTeX.mk
+STYFILES=$(wildcard *.sty)
+CFGFILES=$(wildcard *.cfg)
+DOCFILES=$(wildcard *.pdf)
+
+
+####[ Targets ]######################################################
+
+all: generate
+
+.PHONY: all generate install
 
 SCRIPTS=figdepth.pl gensubfig.sh latexfilter.pl
 
@@ -9,7 +40,20 @@
 
 DTX_SOURCES=$(wildcard *.dtx)
 
-install: $(GENFILES)
+generate: $(GENFILES)
+
+install: $(GENFILES) doc
+	install -d $(DESTDIR)$(LATEXDIR)
+	install -m 644 $(STYFILES) $(DESTDIR)$(LATEXDIR)
+	install -d $(DESTDIR)$(LATEXCFGDIR)
+	install -m 644 $(CFGFILES) $(DESTDIR)$(LATEXCFGDIR)
+	install -d $(DESTDIR)$(SCRIPTSDIR)
+	install -m 755 $(SCRIPTS) $(DESTDIR)$(SCRIPTSDIR)
+	install -m 644 $(INCFILES) $(DESTDIR)$(SCRIPTSDIR)
+	install -d $(DESTDIR)$(INCLUDEDIR)
+	ln -sf $(SCRIPTSDIR)/LaTeX.mk $(DESTDIR)$(INCLUDEDIR)/
+	install -d $(DESTDIR)$(DOCDIR)
+	install -m 644 $(DOCFILES) $(DESTDIR)$(DOCDIR)
 
 $(GENFILES): stamp.latex-make

## latex-make 2.1.16

=== Makefile ===
--- 
+++ 
@@ -22,11 +22,25 @@
 VERSION=$(shell cat VERSION)
 
 dist:
+	if [ -d .svn ]; then \
+		$(MAKE) dist-svn; \
+	elif [ -d .git ]; then \
+		$(MAKE) dist-git; \
+	else \
+		echo "No way to build dist without SCM"; \
+		exit 1; \
+	fi
+	$(MAKE) dist-ctan
+
+dist-svn:
 	if [ "$$(svn st)" != "" ] ;then svn st ; exit 1 ; fi
 	svn export . $(PKGNAME)-$(VERSION)
 	tar cvzf $(PKGNAME)-$(VERSION).tar.gz $(PKGNAME)-$(VERSION)
 	rm -rf $(PKGNAME)-$(VERSION)
-	$(MAKE) ctan
 
-ctan:
+dist-git:
+	if ! git status | grep -sq '^nothing to commit' ; then git status ; exit 1 ; fi
+	git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ | gzip -9 > $(PKGNAME)-$(VERSION).tar.gz
+
+dist-ctan:
 	$(MAKE) -C ctan

=== examples/bin/Makefile ===

####[ Check Software ]################################################
ifeq ($(filter else-if,$(.FEATURES)),)
$(error GNU Make 3.81 needed. Please, update your software.)
	exit 1
endif

####[ Default installation ]##########################################
prefix=/usr/local

texmf_prefix=$(prefix)/share/texmf

PKGNAME=latex-make

INCLUDEDIR=$(prefix)/include

LATEXDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
LATEXCFGDIR=$(texmf_prefix)/tex/latex/$(PKGNAME)
DOCDIR=$(texmf_prefix)/doc/latex/$(PKGNAME)
SCRIPTSDIR=$(texmf_prefix)/scripts/$(PKGNAME)

SCRIPTS=figdepth.pl gensubfig.py svg2dev.py svgdepth.py latexfilter.pl
INCFILES=LaTeX.mk
STYFILES=$(wildcard *.sty)
CFGFILES=$(wildcard *.cfg)
DOCFILES=$(wildcard *.pdf)


####[ Targets ]######################################################

all: generate

.PHONY: all generate install

SCRIPTS=figdepth.pl gensubfig.py svg2dev.py svgdepth.py latexfilter.pl

GENFILES= figlatex.sty figlatex.cfg texgraphicx.sty \
		pdfswitch.sty texdepends.sty \
		LaTeX.mk LaTeX.mk.conf $(SCRIPTS)

DTX_SOURCES=$(wildcard *.dtx)

generate: $(GENFILES)

install: $(GENFILES) doc
	install -d $(DESTDIR)$(LATEXDIR)
	install -m 644 $(STYFILES) $(DESTDIR)$(LATEXDIR)
	install -d $(DESTDIR)$(LATEXCFGDIR)
	install -m 644 $(CFGFILES) $(DESTDIR)$(LATEXCFGDIR)
	install -d $(DESTDIR)$(SCRIPTSDIR)
	install -m 755 $(SCRIPTS) $(DESTDIR)$(SCRIPTSDIR)
	install -m 644 $(INCFILES) $(DESTDIR)$(SCRIPTSDIR)
	install -d $(DESTDIR)$(INCLUDEDIR)
	ln -sf $(SCRIPTSDIR)/LaTeX.mk $(DESTDIR)$(INCLUDEDIR)/
	install -d $(DESTDIR)$(DOCDIR)
	install -m 644 $(DOCFILES) $(DESTDIR)$(DOCDIR)

$(GENFILES): stamp.latex-make

stamp.latex-make: latex-make.ins $(DTX_SOURCES)
	latex latex-make.ins
	chmod +x $(SCRIPTS)
	touch $@

distclean::
	$(RM) $(GENFILES) stamp.latex-make

clean::
	$(RM) latex-make.log

doc: pdf

LU_MASTERS=figlatex texdepends latex-make  #pdfswitch texdepends

DEPENDS=LaTeX.mk $(SCRIPTS)
latex-make_MAIN=latex-make.dtx
figlatex_MAIN=figlatex.dtx
texdepends_MAIN=texdepends.dtx

#LATEX=latex -v

# Force using local LaTeX.mk and not system-wide LaTeX.mk if already installed
# Depends on $(GENFILES) so that $(_lu_which) give good results
$(CURDIR)/LaTeX.mk: $(GENFILES)
	/bin/cp --help > /dev/null 2>&1 || ( \
		sed -e '/LU_UTILS/s/GNU/MACOSX/' < $@ > $@.new && \
		mv $@.new $@ )

-include $(CURDIR)/LaTeX.mk

=== debian/changelog ===
latex-make (2.1.16-2) unstable; urgency=low

  * Depends on python instead of Recommends: any subfig (xfig or SVG)
    need it (Closes: #652320)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 16 Dec 2011 08:02:15 +0100

latex-make (2.1.16-1) unstable; urgency=low

  * New upstream release
    + add support for SVG subfig
  * Depend on ghostscript instead of gs-common (Closes: #649696)
  * Bump Standard-Version (no change needed)
  * Use debian source format 3.0 (quilt)
  * Add a recommend on python that is only needed to handle SVG subfig

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 23 Nov 2011 15:47:09 +0100

latex-make (2.1.13-1) unstable; urgency=low

  * New upstream release (Closes: #496345)
  * Fix watch file
  * Bump Standard-Version (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 29 Sep 2009 18:49:25 +0200

latex-make (2.1.11-2) unstable; urgency=low

  * update dependencies for texlive (due to tetex->texlive transition)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 14 Apr 2007 11:19:07 +0200

latex-make (2.1.11-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue,  6 Mar 2007 02:31:34 +0100

latex-make (2.1.10-1) unstable; urgency=low

  * New upstream release
    - correct spurious whitespaces when using texdepends.sty (ie when
      compiling with LaTeX.mk)
    - change layout of scripts files (move them to the 'scripts' TeX dir)
    [already backported in the previous debian package]
  * [debian/watch] update to new repository layout 
  * [debian/control] update my email in Maintainer field 
  * [debian/control] get rid of old transitional packages (never released in
    debian)
  * [debian/control] depends on make >= 3.81 (instead of 3.80+3.81-rc1)

 -- Vincent Danjean <vdanjean@debian.org>  Mon,  4 Dec 2006 00:36:55 +0100

latex-make (2.1.9-3) unstable; urgency=low

  * backport fix in the installation from upstream:
    scripts are in $texmf/scripts/latex-make now

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 19:06:47 +0200

latex-make (2.1.9-2) unstable; urgency=low

  * use --ignore-fail-on-non-empty in latex-make.postrm (thank tbm)
  * [debian/compat] debhelper compat version dumped to 5
  * [debian/copyright] add copyright for Debian packaging

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:12:04 +0200

latex-make (2.1.9-1) unstable; urgency=low

  * New upstream release
    - lots of minor bug fixes
    - improved documentation (a small bit)
  * [debian/control] Standards-Version to 3.7.2 (no change needed)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 11 May 2006 00:03:09 +0200

latex-make (2.1.8-2) unstable; urgency=low

  * Backport bugfix from upstream so that \includegraphics{toto.eps} or
    \includegraphics{toto.pdf} works (LaTeX compilation does not stop and
    the file is requested by make before the next compilation)
  * Dump Standards-Version to 3.7.0 (no change needed)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  2 May 2006 15:07:58 +0200

latex-make (2.1.8-1) unstable; urgency=low

  * New upstream release
    - mostly fixes in documentation
  * Correct the long one with the suggestions of Nikolaus Schulz
    <microschulz@web.de>
  * Fix a typo in the short one (Closes: #364572)
  * and in the long one (Closes: #364572)
  * Fix Build-Depends/Build-Depends-Indep as some packages are needed in the
    clean target

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 25 Apr 2006 15:53:29 +0200

latex-make (2.1.5-2) unstable; urgency=low

  * Rewrote description of non official transitional packages

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 11 Apr 2006 11:26:57 +0200

latex-make (2.1.5-1) unstable; urgency=low

  * New upstream release
    - remove non-free examples
  * Fix Homepage: in description (need two spaces at the begining)
  * Fix copyright statements
  * Initial official release. (Closes: #358695: ITP: latex-utils -- utilities
    for LaTeX/xfig - Debian Bug report logs)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  4 Apr 2006 02:54:16 +0200

latex-make (2.1.4-2) unstable; urgency=low

  * Add a README.Build.Debian note in the source package to explain why
    figlatex, latex-utils and latex-compile are not build by default

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon,  3 Apr 2006 23:12:00 +0200

latex-make (2.1.4-1) unstable; urgency=low

  * New upstream version
    - yet another rename: latex-compile -> latex-make

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon,  3 Apr 2006 16:26:45 +0200

latex-compile (2.1.3-1) unstable; urgency=low

  * New upstream version
    - upstream also change its name
    - doc in texmf tree
  * Fix build dependencies (missing quilt)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 29 Mar 2006 19:21:01 +0200

latex-compile (2.1.2-3) unstable; urgency=low

  * rename of the package (latex-utils -> latex-compile)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 28 Mar 2006 22:40:01 +0200

latex-utils (2.1.2-2) unstable; urgency=low

  * update description

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 28 Mar 2006 20:54:12 +0200

latex-utils (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 24 Mar 2006 00:28:38 +0100

latex-utils (2.1.1-2) unstable; urgency=low

  * update watch file

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 11 Mar 2006 10:00:53 +0100

latex-utils (2.1.1-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu,  9 Mar 2006 17:37:03 +0100

latex-utils (2.1-1) unstable; urgency=low

  * New upstream release
    + move LaTeX.mk to LaTeX-mk.dtx (soon a documentation ;-) )
    + add warning about unsupported FIGSRC: in subfig files
    + correction of LaTeX.mk for index/glossary support


=== debian/control ===
Source: latex-make
Section: tex
Priority: optional
Maintainer: Vincent Danjean <vdanjean@debian.org>
Standards-Version: 3.9.2
Build-Depends-Indep: texlive-latex-recommended, texlive-lang-french,
 tex-common
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5.0.0), quilt
Homepage: http://gforge.inria.fr/projects/latex-utils/

Package: latex-make
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, transfig, ghostscript, make (>= 3.81), python
Recommends: texlive-latex-recommended, texlive-latex-recommended
Description: easy compiling of complex (and simple) LaTeX documents
 This package provides several tools that aim to simplify the
 compilation of LaTeX documents:
 .
 LaTeX.mk: a Makefile snippet to help compiling LaTeX documents in
 DVI, PDF, PS, ... format. Dependencies are automatically tracked: one
 should be able to compile documents with a one-line Makefile
 containing 'include LaTeX.mk'. Complex documents (with multiple
 bibliographies, indexes, glossaries, ...) should be correctly managed.
 .
 figlatex.sty: a LaTeX package to easily insert xfig figures (with
 \includegraphics{file.fig}). It can interact with LaTeX.mk so that the
 latter automatically invokes transfig if needed.
 .
 And various helper tools for LaTeX.mk

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

## Let cdbs track the build-dep for me
#debian/control:: debian/control.in debian/rules
#DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_DOCS_latex-make := $(DEB_INSTALL_DOCS_ALL)
DEB_INSTALL_DOCS_ALL=
DEB_INSTALL_CHANGELOGS_latex-make := $(DEB_INSTALL_CHANGELOGS_ALL)
DEB_INSTALL_CHANGELOGS_ALL=

DEB_MAKE_INSTALL_TARGET=install prefix=/usr \
	DESTDIR=$(CURDIR)/debian/latex-make/

binary-post-install/latex-make::
	dh_installtex -p$(cdbs_curpkg)

clean::
	$(MAKE) distclean

## latex-make 2.1.17

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 dist-git:
 	if ! git status | grep -sq '^nothing to commit' ; then git status ; exit 1 ; fi
-	git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ | gzip -9 > $(PKGNAME)-$(VERSION).tar.gz
+	git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ HEAD | gzip -9 > $(PKGNAME)-$(VERSION).tar.gz
 
 dist-ctan:
 	$(MAKE) -C ctan

=== ctan/Makefile ===

ARCHIVE_NAME=latex-make

all: ctan

ctan: $(ARCHIVE_NAME).zip

$(ARCHIVE_NAME).zip: $(ARCHIVE_NAME) FORCE
	cd $(ARCHIVE_NAME) && \
	zip ../$@ *

$(ARCHIVE_NAME): FORCE
	mkdir -p $@
	$(MAKE) -C ../src doc
	cp ../src/*.dtx ../src/*.ins ../src/*.pdf README $@
	< ../INSTALL sed -e 's,go to the src/ directory and ,,' \
		-e '/The example[/] directory contains/d' \
		-e '/this software. .to be improved, patches welcome./d' \
		>> $@/README

FORCE:

.phony: FORCE all ctan clean distclean

clean:
	$(RM) -r $(ARCHIVE_NAME)

distclean: clean
	$(RM) $(ARCHIVE_NAME).zip

=== debian/changelog ===
latex-make (2.1.17-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS: tex packaging moved style files (Closes: #666603)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 06 Jun 2012 06:10:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: tex
 Priority: optional
 Maintainer: Vincent Danjean <vdanjean@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends-Indep: texlive-latex-recommended, texlive-lang-french,
- tex-common
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5.0.0), quilt
+ tex-common, python, texlive-latex-extra
+Build-Depends: debhelper (>= 9~), quilt
 Homepage: http://gforge.inria.fr/projects/latex-utils/
+Vcs-Git: git://git.debian.org/collab-maint/latex-make.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/latex-make.git
 
 Package: latex-make
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, transfig, ghostscript, make (>= 3.81), python
-Recommends: texlive-latex-recommended, texlive-latex-recommended
+Depends: ${misc:Depends}, transfig, ghostscript, make (>= 3.81), python
+Recommends: texlive-latex-recommended, texlive-latex-recommended,
+ inkscape (>= 0.48.2), texlive-latex-extra
 Description: easy compiling of complex (and simple) LaTeX documents
  This package provides several tools that aim to simplify the
  compilation of LaTeX documents:

## latex-make 2.1.18

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 
 all:
 	$(MAKE) -C src doc
+
+check: all
+	$(MAKE) -C examples
 
 install: all
 	$(MAKE) -C src $@

=== MacOSX/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PACKAGES=latex-make.pkg uninstall-latex-make.pkg
 
 DISK=LaTeX-Make-rw.dmg
-FINALDISK=LaTeX-Make-$(VERSION).dmg
+FINALDISK=LaTeX-Make-$(VERSION)-$(PACKAGE_SUBVER).dmg
 VOLUME=LaTeX Make
 
 SUBDIRS=$(basename $(PACKAGES))
@@ -47,5 +47,6 @@
 $(FINALDISK): $(DISK)
 	-$(RM) $@
 	hdiutil convert $< -format UDZO -o $@
+	hdiutil internet-enable -yes $@
 	cp $@ ..

=== ctan/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 $(ARCHIVE_NAME): FORCE
 	mkdir -p $@
-	$(MAKE) -C ../src doc
+	$(MAKE) -C .. check
 	cp ../src/*.dtx ../src/*.ins ../src/*.pdf README $@
 	< ../INSTALL sed -e 's,go to the src/ directory and ,,' \
 		-e '/The example[/] directory contains/d' \

=== examples/Makefile ===

#COMPATIBILITY=true

all: example.pdf

example.pdf:

example.ps:

traces-tsi.pdf_DEPENDS = eps/paje.pdf

clean::
	$(RM) eps/paje.pdf

include $(CURDIR)/LaTeX.mk

# Splitting master bibfile for use with bibtopic.sty
# Thanks to bibtool program
conf_int.bib: BIB_GENRE=Conf_Int
conf_nat.bib: BIB_GENRE=Conf_Nat
revues_nat.bib: BIB_GENRE=Revue_Nat
colloques.bib: BIB_GENRE=Coll_Int
rapports.bib: BIB_GENRE=Rapport
manuels.bib: BIB_GENRE=Manuel

BIB_MASTER=danjean.bib
BIB_SLAVES=conf_int.bib conf_nat.bib colloques.bib rapports.bib \
        revues_nat.bib manuels.bib cv.bib
BIBTOOL=bibtool -r $(HOME)/travail/Biblio/bibtool/normalize

$(filter-out cv.bib, $(BIB_SLAVES)): %.bib: $(BIB_MASTER)
	< $^ $(BIBTOOL) -- 'select.by.string{genre "$(BIB_GENRE)"}' \
		| sed -e 's/^\(@[^{]*{[^{}]*[^\s,]\)[\s,]*$$/\1:publis,/' \
		| sed -e 's/\(\\cite{[^{}]*\)}/\1:publis}/g' > $@

cv.bib: %.bib: $(BIB_MASTER)
	< $^ $(BIBTOOL) -- 'select.by.string{genre "$(BIB_GENRE)"}' > $@

clean::
	$(RM) $(BIB_SLAVES)

$(CURDIR)/LaTeX.mk:
	$(MAKE) -C ../src

=== src/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 DOCDIR=$(texmf_prefix)/doc/latex/$(PKGNAME)
 SCRIPTSDIR=$(texmf_prefix)/scripts/$(PKGNAME)
 
-SCRIPTS=figdepth.pl gensubfig.sh latexfilter.pl
+SCRIPTS=figdepth.py gensubfig.py svg2dev.py svgdepth.py latexfilter.py
 INCFILES=LaTeX.mk
 STYFILES=$(wildcard *.sty)
 CFGFILES=$(wildcard *.cfg)
@@ -32,7 +32,7 @@
 
 .PHONY: all generate install
 
-SCRIPTS=figdepth.pl gensubfig.sh latexfilter.pl
+SCRIPTS=figdepth.py gensubfig.py svg2dev.py svgdepth.py latexfilter.py
 
 GENFILES= figlatex.sty figlatex.cfg texgraphicx.sty \
 		pdfswitch.sty texdepends.sty \
@@ -82,8 +82,9 @@
 # Force using local LaTeX.mk and not system-wide LaTeX.mk if already installed
 # Depends on $(GENFILES) so that $(_lu_which) give good results
 $(CURDIR)/LaTeX.mk: $(GENFILES)
-	cp --help > /dev/null 2>&1 || \
-		sed -i "" -e '/LU_UTILS/s/GNU/BSD/' $@
+	/bin/cp --help > /dev/null 2>&1 || ( \
+		sed -e '/LU_UTILS/s/GNU/MACOSX/' < $@ > $@.new && \
+		mv $@.new $@ )
 
 -include $(CURDIR)/LaTeX.mk

=== debian/changelog ===
latex-make (2.1.18-4) unstable; urgency=medium

  * Fix several lintial notices:
    + duplicate-in-relation-field
    + vcs-field-not-canonical
    + out-of-date-standards-version (no changes needed)
    + copyright-refers-to-symlink-license

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 05 Mar 2014 12:32:41 +0100

latex-make (2.1.18-3) unstable; urgency=medium

  * add texlive-fonts-recommended to B-D-I as suggested by gregor
    (Closes: #738431)
    Do not add it to recommended packages in binary packages: this
    is not the role of this package to provide a correct environment
    for LaTeX work (ie using this package does not change anything
    related to LaTeX fonts)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 05 Mar 2014 11:57:53 +0100

latex-make (2.1.18-2) unstable; urgency=low

  * ensure dh_installtex is called when building the package (Closes: #681300)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 12 Jul 2012 14:28:30 +0200

latex-make (2.1.18-1) unstable; urgency=low

  * Fix subfig generation (Closes: #676737)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 09 Jun 2012 22:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: tex
 Priority: optional
 Maintainer: Vincent Danjean <vdanjean@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends-Indep: texlive-latex-recommended, texlive-lang-french,
- tex-common, python, texlive-latex-extra
+ tex-common, python, texlive-latex-extra, transfig, inkscape (>= 0.48.2),
+ ghostscript, texlive-fonts-recommended
 Build-Depends: debhelper (>= 9~), quilt
 Homepage: http://gforge.inria.fr/projects/latex-utils/
-Vcs-Git: git://git.debian.org/collab-maint/latex-make.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/latex-make.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/latex-make.git
 
 Package: latex-make
 Architecture: all
 Depends: ${misc:Depends}, transfig, ghostscript, make (>= 3.81), python
-Recommends: texlive-latex-recommended, texlive-latex-recommended,
+Recommends: texlive-latex-recommended,
  inkscape (>= 0.48.2), texlive-latex-extra
 Description: easy compiling of complex (and simple) LaTeX documents
  This package provides several tools that aim to simplify the

=== debian/watch ===
version=3

http://gforge.inria.fr/frs/?group_id=261 (?:.*)/latex-make-([\d\.]*)\.tar\.gz

## latex-make 2.1.19

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	rm -rf $(PKGNAME)-$(VERSION)
 
 dist-git:
-	if ! git status | grep -sq '^nothing to commit' ; then git status ; exit 1 ; fi
+	if ! LC_ALL=C git status | grep -sq '^nothing to commit' ; then git status ; exit 1 ; fi
 	git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ HEAD | gzip -9 > $(PKGNAME)-$(VERSION).tar.gz
 
 dist-ctan:

=== src/Makefile ===
--- 
+++ 
@@ -54,6 +54,7 @@
 	ln -sf $(SCRIPTSDIR)/LaTeX.mk $(DESTDIR)$(INCLUDEDIR)/
 	install -d $(DESTDIR)$(DOCDIR)
 	install -m 644 $(DOCFILES) $(DESTDIR)$(DOCDIR)
+	if [ -f $(texmf_prefix)/ls-R ]; then texhash $(texmf_prefix) ; fi
 
 $(GENFILES): stamp.latex-make

=== debian/changelog ===
latex-make (2.1.19-2) unstable; urgency=medium

  * remove specific patch that move doc in /usr/share/doc/texmf
    instead of /usr/share/texmf/doc. TeX policy changed without
    being reflected in Debian TeX documentation. (Closes: #752095)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 10 Oct 2014 07:53:21 +0200

latex-make (2.1.19-1) unstable; urgency=medium

  * New upstream release (Closes: #504179)
    + Speedup improvment (Closes: #690015)
    + Add support for XeTeX, thanks Tomasz Buchert (Closes: #686951)
    + Fix bugs in latexfilter.py, thanks Jim Paris (Closes: #705429)
    + Add an helper to find TDS (useful for manual installation)
  * Closing a bug that should have been closed way before
    (Closes: #422054)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 09 Oct 2014 22:23:44 +0200

latex-make (2.1.18-5) unstable; urgency=medium

  * Remove versionned dependency on make : even oldstable is ok and
    it blocks make-guile alternative installation (Closes: #751890)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 17 Jun 2014 23:04:18 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: latex-make
 Architecture: all
-Depends: ${misc:Depends}, transfig, ghostscript, make (>= 3.81), python
+Depends: ${misc:Depends}, transfig, ghostscript, make, python
 Recommends: texlive-latex-recommended,
  inkscape (>= 0.48.2), texlive-latex-extra
 Description: easy compiling of complex (and simple) LaTeX documents

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_install:
	dh_install --fail-missing
	dh_installtex

## latex-make 2.2.0

=== src/Makefile ===
--- 
+++ 
@@ -6,9 +6,11 @@
 endif
 
 ####[ Default installation ]##########################################
-prefix=/usr/local
+-include ../config.mk
 
-texmf_prefix=$(prefix)/share/texmf
+prefix ?= /usr/local
+
+texmf_prefix ?= $(prefix)/share/texmf
 
 PKGNAME=latex-make
 
@@ -21,9 +23,9 @@
 
 SCRIPTS=figdepth.py gensubfig.py svg2dev.py svgdepth.py latexfilter.py
 INCFILES=LaTeX.mk
-STYFILES=$(wildcard *.sty)
-CFGFILES=$(wildcard *.cfg)
-DOCFILES=$(wildcard *.pdf)
+STYFILES= *.sty
+CFGFILES= *.cfg
+DOCFILES= *.pdf
 
 
 ####[ Targets ]######################################################
@@ -56,12 +58,17 @@
 	install -m 644 $(DOCFILES) $(DESTDIR)$(DOCDIR)
 	if [ -f $(texmf_prefix)/ls-R ]; then texhash $(texmf_prefix) ; fi
 
+
 $(GENFILES): stamp.latex-make
 
-stamp.latex-make: latex-make.ins $(DTX_SOURCES)
+stamp.latex-make $(CURDIR)/LaTeX.mk: latex-make.ins $(DTX_SOURCES)
 	latex latex-make.ins
 	chmod +x $(SCRIPTS)
 	touch $@
+	sed -i.bak LaTeX.mk \
+		-e 's|^\(_LaTeX_Make_BINORIGDIR=\).*|\1$(SCRIPTSDIR)|' \
+		-e 's|^\(_LaTeX_Make_TEXORIGDIR=\).*|\1$(LATEXDIR)|'
+	$(RM) LaTeX.mk.bak
 
 distclean::
 	$(RM) $(GENFILES) stamp.latex-make
@@ -81,11 +88,6 @@
 #LATEX=latex -v
 
 # Force using local LaTeX.mk and not system-wide LaTeX.mk if already installed
-# Depends on $(GENFILES) so that $(_lu_which) give good results
-$(CURDIR)/LaTeX.mk: $(GENFILES)
-	/bin/cp --help > /dev/null 2>&1 || ( \
-		sed -e '/LU_UTILS/s/GNU/MACOSX/' < $@ > $@.new && \
-		mv $@.new $@ )
 
--include $(CURDIR)/LaTeX.mk
+include $(CURDIR)/LaTeX.mk

=== debian/changelog ===
latex-make (2.2.0-1) unstable; urgency=medium

  * New upstream release
    + add the 'LaTeX-Make-local-install' target
  * Rewrite debian/copyright in machine readable format
  * Apply "cme fix dpkg" suggestions
  * Refresh patches and build system

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 09 Feb 2016 00:23:04 +0100

## latex-make 2.2.1

=== debian/changelog ===
latex-make (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 09 Feb 2016 10:09:56 +0100

## latex-make 2.2.2

=== ctan/Makefile ===

ARCHIVE_NAME=latex-make

all: ctan

ctan: $(ARCHIVE_NAME).zip

$(ARCHIVE_NAME).zip: $(ARCHIVE_NAME) FORCE
	$(RM) $@
	zip -r $@ $(ARCHIVE_NAME)

$(ARCHIVE_NAME): FORCE
	mkdir -p $@
	$(MAKE) -C .. check
	cp ../src/*.dtx ../src/*.ins ../src/*.pdf $@
	< ./README sed -e 's,@VERSION@,VERSION: '$$(cat ../VERSION)',' \
		> $@/README

FORCE:

.phony: FORCE all ctan clean distclean

clean:
	$(RM) -r $(ARCHIVE_NAME)

distclean: clean
	$(RM) $(ARCHIVE_NAME).zip

=== examples/Makefile ===

#COMPATIBILITY=true

all: example.pdf

example.pdf:

example.ps:

traces-tsi.pdf_DEPENDS = eps/paje.pdf

clean::
	$(RM) eps/paje.pdf

include $(CURDIR)/LaTeX.mk

clean::
	$(RM) $(BIB_SLAVES)

distclean::
	$(MAKE) LaTeX-Make-local-uninstall

$(CURDIR)/LaTeX.mk:
	$(MAKE) -C ../src
	$(MAKE) -f ../src/LaTeX.mk LaTeX-Make-local-install _LaTeX_Make_BINORIGDIR=../src _LaTeX_Make_TEXORIGDIR=../src

=== src/Makefile ===
--- 
+++ 
@@ -65,9 +65,10 @@
 	latex latex-make.ins
 	chmod +x $(SCRIPTS)
 	touch $@
-	sed -i.bak LaTeX.mk \
+	sed -i.bak \
 		-e 's|^\(_LaTeX_Make_BINORIGDIR=\).*|\1$(SCRIPTSDIR)|' \
-		-e 's|^\(_LaTeX_Make_TEXORIGDIR=\).*|\1$(LATEXDIR)|'
+		-e 's|^\(_LaTeX_Make_TEXORIGDIR=\).*|\1$(LATEXDIR)|' \
+		LaTeX.mk
 	$(RM) LaTeX.mk.bak
 
 distclean::

=== debian/changelog ===
latex-make (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 09 Feb 2016 18:32:15 +0100

=== debian/control ===
Source: latex-make
Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 9),
               quilt
Build-Depends-Indep: texlive-latex-recommended,
                     texlive-lang-french,
                     tex-common,
                     python,
                     texlive-latex-extra,
                     transfig,
                     inkscape (>= 0.48.2),
                     ghostscript,
                     texlive-fonts-recommended
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/latex-make.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/latex-make.git
Homepage: http://gforge.inria.fr/projects/latex-utils/

Package: latex-make
Architecture: all
Depends: ${misc:Depends},
         transfig,
         ghostscript,
         make,
         python
Recommends: texlive-latex-recommended,
            inkscape (>= 0.48.2),
            texlive-latex-extra
Description: easy compiling of complex (and simple) LaTeX documents
 This package provides several tools that aim to simplify the
 compilation of LaTeX documents:
 .
 LaTeX.mk: a Makefile snippet to help compiling LaTeX documents in
 DVI, PDF, PS, ... format. Dependencies are automatically tracked: one
 should be able to compile documents with a one-line Makefile
 containing 'include LaTeX.mk'. Complex documents (with multiple
 bibliographies, indexes, glossaries, ...) should be correctly managed.
 .
 figlatex.sty: a LaTeX package to easily insert xfig figures (with
 \includegraphics{file.fig}). It can interact with LaTeX.mk so that the
 latter automatically invokes transfig if needed.
 .
 And various helper tools for LaTeX.mk

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --texmf-prefix=/usr/share/texmf

override_dh_install:
	dh_install --fail-missing
	dh_installtex

## latex-make 2.2.3

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 endif
 
 .PHONY: all install clean distclean dist ctan
+
+-include config.mk
 
 PKGNAME=latex-make
 
@@ -16,15 +18,30 @@
 install: all
 	$(MAKE) -C src $@
 
-clean distclean:
+clean distclean::
 	-$(MAKE) -C examples $@
 	-$(MAKE) -C MacOSX $@
 	-$(MAKE) -C ctan $@
 	$(MAKE) -C src $@
 
+distclean::
+	$(RM) config.mk
+
 VERSION=$(shell cat VERSION)
 
-dist:
+check-version:
+	@echo 'grep "[0-9] v" src/*.dtx | grep -v " v$(VERSION)"'
+	@if grep "[0-9] v" src/*.dtx | grep -v " v$(VERSION)"; then \
+		printf "\nSome versions have not been updated. Aborting.\n\n" ; \
+		exit 1 ;\
+	fi
+	@echo 'head -1 Changelog | grep -v " $(VERSION)"'
+	@if head -1 Changelog | grep -v " $(VERSION)"; then \
+		printf "\nChangelog have not been updated. Aborting.\n\n" ; \
+		exit 1 ;\
+	fi
+
+dist: check-version
 	if [ -d .svn ]; then \
 		$(MAKE) dist-svn; \
 	elif [ -d .git ]; then \

=== examples/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 
 #COMPATIBILITY=true
 
-all: example.pdf
+# example-luatex must be compiled with lualatex
+LU_lualatex-example_FLAVORS=LUALATEX
+
+all: pdf
 
 example.pdf:

=== src/Makefile ===
--- 
+++ 
@@ -33,8 +33,6 @@
 all: generate
 
 .PHONY: all generate install
-
-SCRIPTS=figdepth.py gensubfig.py svg2dev.py svgdepth.py latexfilter.py
 
 GENFILES= figlatex.sty figlatex.cfg texgraphicx.sty \
 		pdfswitch.sty texdepends.sty \

=== MacOSX/uninstall-latex-make/Makefile ===

all: package

include ../package.mk

$(PACKAGE_NAME).pkg: Info.plist Description.plist Package_contents

Package_contents:
	mkdir $@

.PHONY: distclean clean all package

clean::
	$(RM) -r Info.plist Description.plist Package_contents

=== debian/changelog ===
latex-make (2.2.3-2) unstable; urgency=medium

  * provide a writable HOME directory to compile test. This is
    required by lualatex (Closes: #855930)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 27 Feb 2017 10:56:07 +0100

latex-make (2.2.3-1) unstable; urgency=medium

  * New upstream release
    + Add LuaLaTeX support (Closes: #815836)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jan 2017 23:10:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                quilt
 Build-Depends-Indep: texlive-latex-recommended,
                      texlive-lang-french,
+                     texlive-luatex,
                      tex-common,
                      python,
                      texlive-latex-extra,
@@ -13,7 +14,7 @@
                      inkscape (>= 0.48.2),
                      ghostscript,
                      texlive-fonts-recommended
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/latex-make.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/latex-make.git
 Homepage: http://gforge.inria.fr/projects/latex-utils/

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,12 @@
 	dh_install --fail-missing
 	dh_installtex
 
+# lualatex needs a writable HOME directory (see #855930)
+override_dh_auto_test:
+	mkdir -p $(CURDIR)/temp_home
+	env HOME=$(CURDIR)/temp_home dh_auto_test --
+
+override_dh_auto_clean:
+	$(RM) -rf $(CURDIR)/temp_home 
+	dh_auto_clean
+

## latex-make 2.2.4

=== debian/changelog ===
latex-make (2.2.4-1) unstable; urgency=medium

  * Replace transfig by fig2dev (package renamed) (Closes: #866153)
  * Move some dependency to recommends (not required if not using
    figlatex.sty or PS)
  * New upstream version
    + Reorganize pdfswitch
    + Fix python synxtax to be valid in 2.7 and 3

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 29 May 2018 16:41:53 +0200

=== debian/control ===
Source: latex-make
Maintainer: Vincent Danjean <vdanjean@debian.org>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 10),
               quilt
Build-Depends-Indep: texlive-latex-recommended,
                     texlive-lang-french,
                     texlive-luatex,
                     tex-common,
                     python,
                     texlive-latex-extra,
                     fig2dev,
                     inkscape (>= 0.48.2),
                     ghostscript,
                     texlive-fonts-recommended
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/latex-make
Vcs-Git: https://salsa.debian.org/debian/latex-make.git
Homepage: http://gforge.inria.fr/projects/latex-utils/

Package: latex-make
Architecture: all
Depends: ${misc:Depends},
         make,
         python
Recommends: texlive-latex-recommended,
            inkscape (>= 0.48.2),
            fig2dev,
            ghostscript,
            texlive-latex-extra
Description: easy compiling of complex (and simple) LaTeX documents
 This package provides several tools that aim to simplify the
 compilation of LaTeX documents:
 .
 LaTeX.mk: a Makefile snippet to help compiling LaTeX documents in
 DVI, PDF, PS, ... format. Dependencies are automatically tracked: one
 should be able to compile documents with a one-line Makefile
 containing 'include LaTeX.mk'. Complex documents (with multiple
 bibliographies, indexes, glossaries, ...) should be correctly managed.
 .
 figlatex.sty: a LaTeX package to easily insert xfig figures (with
 \includegraphics{file.fig}). It can interact with LaTeX.mk so that the
 latter automatically invokes fig2dev if needed.
 .
 And various helper tools for LaTeX.mk

## latex-make 2.2.5

=== src/Makefile ===
--- 
+++ 
@@ -43,16 +43,16 @@
 generate: $(GENFILES)
 
 install: $(GENFILES) doc
-	install -d $(DESTDIR)$(LATEXDIR)
+	install -m 755 -d $(DESTDIR)$(LATEXDIR)
 	install -m 644 $(STYFILES) $(DESTDIR)$(LATEXDIR)
-	install -d $(DESTDIR)$(LATEXCFGDIR)
+	install -m 755 -d $(DESTDIR)$(LATEXCFGDIR)
 	install -m 644 $(CFGFILES) $(DESTDIR)$(LATEXCFGDIR)
-	install -d $(DESTDIR)$(SCRIPTSDIR)
+	install -m 755 -d $(DESTDIR)$(SCRIPTSDIR)
 	install -m 755 $(SCRIPTS) $(DESTDIR)$(SCRIPTSDIR)
 	install -m 644 $(INCFILES) $(DESTDIR)$(SCRIPTSDIR)
-	install -d $(DESTDIR)$(INCLUDEDIR)
+	install -m 755 -d $(DESTDIR)$(INCLUDEDIR)
 	ln -sf $(SCRIPTSDIR)/LaTeX.mk $(DESTDIR)$(INCLUDEDIR)/
-	install -d $(DESTDIR)$(DOCDIR)
+	install -m 755 -d $(DESTDIR)$(DOCDIR)
 	install -m 644 $(DOCFILES) $(DESTDIR)$(DOCDIR)
 	if [ -f $(texmf_prefix)/ls-R ]; then texhash $(texmf_prefix) ; fi

=== debian/changelog ===
latex-make (2.2.5-1) unstable; urgency=medium

  * New upstream release
    + Fix compatibility with recent fig2dev (Closes: #907948)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 04 Sep 2018 23:46:40 +0200

## latex-make 2.3.0

=== Makefile ===
--- 
+++ 
@@ -62,5 +62,5 @@
 	if ! LC_ALL=C git status | grep -sq '^nothing to commit' ; then git status ; exit 1 ; fi
 	git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ HEAD | gzip -9 > $(PKGNAME)-$(VERSION).tar.gz
 
-dist-ctan:
+dist-ctan: check-version
 	$(MAKE) -C ctan

=== examples/Makefile ===

#COMPATIBILITY=true

# example-luatex must be compiled with lualatex
LU_lualatex-example_FLAVORS=LUALATEX

all: pdf

example.pdf:

example.ps:

traces-tsi.pdf_DEPENDS = eps/paje.pdf

clean::
	$(RM) eps/paje.pdf

export TEXMFHOME:=texmf
include texmf/scripts/latex-make/LaTeX.mk

clean::
	$(RM) $(BIB_SLAVES)

distclean::
	$(MAKE) LaTeX-Make-local-uninstall TEXMF_INSTALL_ROOT_DIR=texmf
	$(RM) -rv texmf

texmf/scripts/latex-make/LaTeX.mk:
	$(MAKE) -C ../src
	$(MAKE) -f ../src/LaTeX.mk MAKE="$(MAKE) -f ../src/LaTeX.mk" LaTeX-Make-local-install TEXMF_INSTALL_ROOT_DIR=texmf TEXINPUTS=../src TEXMFSCRIPTS=../src
	ls -l $@

=== src/Makefile ===
--- 
+++ 
@@ -84,6 +84,10 @@
 figlatex_MAIN=figlatex.dtx
 texdepends_MAIN=texdepends.dtx
 
+# use local files by default
+export TEXINPUTS:=.$(addprefix :,$(TEXINPUTS))::
+export TEXMFSCRIPTS:=.$(addprefix :,$(TEXMFSCRIPTS))::
+
 #LATEX=latex -v
 
 # Force using local LaTeX.mk and not system-wide LaTeX.mk if already installed

=== debian/changelog ===
latex-make (2.3.0-3) unstable; urgency=medium

  * Add Debian CI
  * Fix "Python2 removal in sid/bullseye" (Closes: #943067)
    Thank to Ubuntu and Matthias Klose to notify me.
    Only shebang lines was to be updated, the code was already ok.
  * Cleanup packaging

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 16 Jan 2020 20:44:58 +0100

latex-make (2.3.0-1) unstable; urgency=medium

  * New upstream release
    + add DEPENDS_EXCLUDE to forget wrong/unreachable dependencies
    + add support to handle a local texmf tree with latex-make in it

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 17 Oct 2018 16:03:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: tex
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                quilt
 Build-Depends-Indep: texlive-latex-recommended,
                      texlive-lang-french,
                      texlive-luatex,
                      tex-common,
-                     python,
+                     python3,
                      texlive-latex-extra,
                      fig2dev,
                      inkscape (>= 0.48.2),
                      ghostscript,
                      texlive-fonts-recommended
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/latex-make
 Vcs-Git: https://salsa.debian.org/debian/latex-make.git
 Homepage: http://gforge.inria.fr/projects/latex-utils/
@@ -23,7 +24,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          make,
-         python
+         python3
 Recommends: texlive-latex-recommended,
             inkscape (>= 0.48.2),
             fig2dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --texmf-prefix=/usr/share/texmf

override_dh_install:
	dh_install
	dh_installtex

override_dh_missing:
	dh_missing --fail-missing

# lualatex needs a writable HOME directory (see #855930)
override_dh_auto_test:
	mkdir -p $(CURDIR)/temp_home
	env HOME=$(CURDIR)/temp_home dh_auto_test --

override_dh_auto_clean:
	$(RM) -rf $(CURDIR)/temp_home
	dh_auto_clean

=== debian/watch ===
version=3

https://gforge.inria.fr/frs/?group_id=261 (?:.*)/latex-make-([\d\.]*)\.tar\.gz
